
Summary:        secure remote command execution
Name:           srce
Version:        1.0.7
Release:        2.art
URL:            http://srce.echoreply.us
Packager:	Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:		Atomic Rocket Turtle
#Source0:        %{name}-src-%{version}.tgz
Source0:        %{name}-daily.tgz
Patch1:		disable-docs.patch
License:        GPL
Group:          System/Servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	asciidoc



%description
SRCE is a lightweight, encrypted and secure mechanism to facilitate coordination and communication of nodes in a cluster of computers that operate with the GNU/Linux operating system. SRCE is a recursive acronym, it stands for secure remote command execution and also means heart in Croatian.

SRCE is designed to be used to control and communicate with nodes when other available mechanisms such as SSH would be impractical due to size, speed or privacy concerns. SRCE does not utilize a public key, it relies on both client and server having identical copies of the same authentication key and verifies this through its own double-random authentication sequence. SRCE utilizes statically linked Blowfish encryption, its own non-blocking socket libraries and its own TCP wrappers to remain small and portable. SRCE takes up a minute disk and memory footprint.

%prep
	
#%setup -n %{name}-src-%{version}

%setup -n %{name}-daily
#%patch1 -p1

%build
%configure \
	--prefix=%{_prefix}

%{__make} 


%install
%{__rm} -rf %{buildroot}


%{__mkdir_p}  %{buildroot}/usr/bin
%{__mkdir_p}  %{buildroot}/usr/sbin
%{__mkdir_p}  %{buildroot}/var/srced/exec
%{__mkdir_p}  %{buildroot}/var/srced/getroot
%{__mkdir_p}  %{buildroot}/var/srced/outroot
%{__mkdir_p}  %{buildroot}/var/srced/putroot
%{__mkdir_p}  %{buildroot}/%{_sysconfdir}/init.d
%{__mkdir_p}  %{buildroot}/%{_sysconfdir}/srced

%{__install} -m 0755 dist/usr/bin/srce %{buildroot}/usr/bin/srce
%{__install} -m 0755 dist/usr/sbin/srced %{buildroot}/usr/sbin/srced
%{__install} -m 0755 dist/usr/sbin/srce-execd %{buildroot}/usr/sbin/srce-execd
%{__install} -m 0700 dist/usr/sbin/srce-keycutter %{buildroot}/usr/sbin/srce-keycutter

%{__install} -m 0700 dist/etc/init.d/srced %{buildroot}/%{_sysconfdir}/init.d/srced

%{__install} -m 0640 dist/etc/srced/srced.allow %{buildroot}/%{_sysconfdir}/srced/srced.allow
%{__install} -m 0640 dist/etc/srced/srced.conf %{buildroot}/%{_sysconfdir}/srced/srced.conf
%{__install} -m 0640 dist/etc/srced/srced.ini %{buildroot}/%{_sysconfdir}/srced/srced.ini



%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%dir /etc/srced
%dir /var/srced
%dir /var/srced/*
%config(noreplace) /etc/srced/srced.allow
%config(noreplace) /etc/srced/srced.conf
%config(noreplace) /etc/srced/srced.ini
/etc/init.d/srced
/usr/bin/srce
/usr/sbin/srced
/usr/sbin/srce-execd
/usr/sbin/srce-keycutter


%changelog
* Tue Feb 19 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.7-2
- using a nightly snapshot

* Wed Feb 13 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.7-1
- intial build
